/************************************************************************
*																		*
* pointerlarla atama ornegi												*
* derlemek icin: gcc -o 3 3.c											*
*																		*
************************************************************************/

#include <stdio.h>
#include <stdlib.h>

int main()
{
	int count = 0, *temp, sum = 0;
	
	temp  = &count;      // temp is the address of the variable "count"
	*temp = 20;          // count = 20;
	temp  = &sum;        // temp is the address of the variable "sum"
	*temp = count;       // sum=count;  that is, sum=20; 
	
	//*temp = 10;        // sum=10;
	
	printf("count: %d, temp: %d, sum: %d\n", count, *temp, sum);     //*temp=sum
	
	system("pause");
	return 0;
}
